import { Primitive } from 'd3';
export interface InputOptions {
    state?: {} | null;
    tree?: NodeWithId | {};
    rootKeyName: string;
    pushMethod: 'push' | 'unshift';
    id: string;
    style: {
        [key: string]: Primitive;
    };
    size: number;
    aspectRatio: number;
    initialZoom: number;
    margin: {
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
    isSorted: boolean;
    heightBetweenNodesCoeff: number;
    widthBetweenNodesCoeff: number;
    transitionDuration: number;
    blinkDuration: number;
    onClickText: (datum: NodeWithId) => void;
    tooltipOptions: {
        disabled?: boolean;
        left?: number | undefined;
        top?: number | undefined;
        offset?: {
            left: number;
            top: number;
        };
        style?: {
            [key: string]: Primitive;
        } | undefined;
        indentationSize?: number;
    };
}
export interface NodeWithId {
    name: string;
    children?: NodeWithId[] | null;
    _children?: NodeWithId[] | null;
    value?: unknown;
    id: string;
    parent?: NodeWithId;
    depth?: number;
    x?: number;
    y?: number;
}
export default function (DOMNode: HTMLElement, options?: Partial<InputOptions>): (nextState?: {} | null | undefined) => void;
export { Primitive };
